## uwsgi-plugin-python 0.0.2

=== debian/changelog ===
uwsgi-plugin-python (0.0.2) unstable; urgency=medium

  [ Alexandre Rossi ]
  * autopkgtest: use upstream tests

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Jan 2025 13:09:23 +0100

uwsgi-plugin-python (0.0.1) experimental; urgency=medium

  [ Alexandre Rossi ]
  * initial separate packaging;
    closes: bug#1078541
    (see source package uwsgi for earlier releases)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2024 12:15:55 +0200
