## uwsgi-plugin-python 0.0.2build1

=== debian/changelog ===
uwsgi-plugin-python (0.0.2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:36:45 +0000
