=== debian/control ===
Source: uwsgi-plugin-python
Section: httpd
Priority: optional
Maintainer: uWSGI packaging team <pkg-uwsgi-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>, Alexandre Rossi <niol@zincube.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-uwsgi,
 help2man,
 uwsgi-src (>= 2.0.26-3),
 dh-python,
 dh-sequence-python3,
 python3-all-dev,
# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
 python-greenlet-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
 python3-greenlet [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x],
Standards-Version: 4.7.0
Homepage: https://uwsgi-docs.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/uwsgi-team/uwsgi-plugin-python.git
Vcs-Browser: https://salsa.debian.org/uwsgi-team/uwsgi-plugin-python
Rules-Requires-Root: no

Package: uwsgi-plugin-python3
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${python3:Depends},
 ${uwsgi:Depends},
Provides:
 httpd-wsgi3,
 python3-uwsgidecorators,
 uwsgi-plugin-asyncio-python3,
Conflicts:
 python3-uwsgidecorators,
 uwsgi-plugin-asyncio-python3,
Replaces:
 python3-uwsgidecorators,
 uwsgi-plugin-asyncio-python3,
Description: WSGI plugin for uWSGI (Python 3)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides Python 3 WSGI plugin for uWSGI
 (linked with Python 3 runtime) and the asyncio plugin.

Package: uwsgi-plugin-gevent-python3
# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
Depends:
 python3-gevent,
 uwsgi-plugin-greenlet-python3 (= ${binary:Version}),
 uwsgi-plugin-python3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 ${uwsgi:Depends},
Description: gevent plugin for uWSGI (Python 3)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides gevent plugin for uWSGI with Python 3 WSGI interface.

Package: uwsgi-plugin-greenlet-python3
# autogenerated: DEB_MAINTAINER_MODE=1 debian/rules clean
Architecture: amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x
Depends:
 python3-greenlet,
 uwsgi-plugin-python3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 ${uwsgi:Depends},
Description: greenlet plugin for uWSGI (Python 3)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides greenlet plugin for uWSGI with Python 3 WSGI interface.

Package: uwsgi-plugin-tornado-python3
Architecture: any
Depends:
 uwsgi-plugin-python3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 ${uwsgi:Depends},
Recommends:
 python3-greenlet,
Description: tornado plugin for uWSGI (Python 3)
 uWSGI presents a complete stack for networked/clustered web applications,
 implementing message/object passing, caching, RPC and process management.
 It is designed to be fully modular. This means that different plugins can be
 used in order to add compatibility with tons of different technology on top of
 the same core.
 .
 This package provides tornado plugin for uWSGI with Python 3 WSGI interface.
