=== debian/tests/control ===
Tests: integration
Depends: uwsgi-src (>= 2.0.28-1), uwsgi-plugin-python3, python3-requests,
Restrictions: allow-stderr
