## uwsgi-plugin-python 0.0.2build3

=== debian/changelog ===
uwsgi-plugin-python (0.0.2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 22:04:49 +0000
